New data type to allow linking to Forms
Open, NormalPublic13 Story Points

Description

As an editor I want to make statements on Lexemes that reference Forms on other Lexemes in order to indicate their relation.

Example usage: on the Lexeme "hard" we'd have a statement "rhymes with: card". "card" would be a Form on the "card" Lexeme.

We assume this to be an almost 100% exact copy of T165580: [Story] New datatype for referencing Senses including the subtasks listed there.

Acceptance criteria:

  • I can create a new property with data type “Form”.
  • I can create a new statement that references a Form on another Lexeme.
  • I can select the Form via an entity selector by entering the ID of the referenced Form.
  • Once saved the value shows the representation of the the referenced Form.

In case there are multiple representation variants, "the representation" should be interpreted as all representation variants separated by the i18n-zable seperator. In English, the separator is going to be a forward slash.

BDD Happy Path:

Given I am on the Lexeme Page
When I make a new statement
And I put an ID of the form in the value field
Then the entered ID is shown in the suggester
And I see the save button enabled
And The value border is now green for approval
And I can save

Given I am on the Lexeme Page
When I save a new statement with data type form
Then A new statement appears
And The representation "text" of the referenced form is displayed
And The representation "text" links to the target form section on the target Lexeme page
And The edit is recorded in the edit history with an edit summary like "Created claim: Rhymes with (P123): Reitern"
And The Property and link to the Form are leading to the property and Form respectively in the edit summary

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 10:30 AM
thiemowmde updated the task description. (Show Details)Jul 4 2017, 3:00 PM
This comment was removed by WMDE-leszek.
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 2:53 PM
Aleksey_WMDE closed this task as Resolved.Jul 25 2017, 2:55 PM
Aleksey_WMDE moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
Aleksey_WMDE claimed this task.
Lydia_Pintscher reopened this task as Open.Oct 24 2017, 3:19 PM

Reopening because the new datatype does not exist.

Lydia_Pintscher removed Aleksey_WMDE as the assignee of this task.
Lydia_Pintscher moved this task from incoming to big tasks on the Lexicographical data board.
Lydia_Pintscher added a subscriber: Aleksey_WMDE.
Lydia_Pintscher renamed this task from [Story] New datatype for referencing Forms to New datatype for referencing Forms.
Lucas_Werkmeister_WMDE renamed this task from New datatype for referencing Forms to New data type to allow linking to Forms.Nov 20 2017, 3:02 PM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Mar 19 2018, 2:23 PM
RazShuty updated the task description. (Show Details)Mar 19 2018, 2:40 PM
RazShuty updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Mar 19 2018, 2:44 PM
WMDE-leszek updated the task description. (Show Details)Mar 19 2018, 2:49 PM
WMDE-leszek added a comment.EditedMar 20 2018, 7:45 AM

The "Needs to be broken down into:" part of the description seems to be outdated: the data type is already defined, and the part about form data showing in the search/suggester is out of scope. This story is now exclusively about linking to forms in the statements. Should it maybe be renamed to be more specific?

Also Acceptance Criteria should probably be reviewed and redfined

Jakob_WMDE set the point value for this task to 13.Mar 20 2018, 4:26 PM
WMDE-leszek updated the task description. (Show Details)Wed, Apr 11, 2:21 PM
WMDE-leszek updated the task description. (Show Details)Wed, Apr 11, 2:27 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Wed, Apr 11, 3:30 PM